<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/ContaminatedArea/JsonDataContaminatedArea.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d2c/_json_data_contaminated_area_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">JsonDataContaminatedArea.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/d2c/_json_data_contaminated_area_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">// JSON data structure</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../d9/db4/class_json_data_contaminated_areas.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d9/db4/class_json_data_contaminated_areas.html">JsonDataContaminatedAreas</a> : <a class="code hl_class" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d9/db4/class_json_data_contaminated_areas.html#a36cdb3e6bf4b71b04d2385b6df9dbacd">    4</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref JsonDataContaminatedArea&gt;</a> <a class="code hl_variable" href="../../d9/db4/class_json_data_contaminated_areas.html#a36cdb3e6bf4b71b04d2385b6df9dbacd">Areas</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d9/db4/class_json_data_contaminated_areas.html#ae8782bcb1f35e3e707492925dc4c10d4">    5</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref array&lt;float&gt;</a>&gt; <a class="code hl_variable" href="../../d9/db4/class_json_data_contaminated_areas.html#ae8782bcb1f35e3e707492925dc4c10d4">SafePositions</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>}</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="keyword">class </span>JsonDataContaminatedArea : <a class="code hl_class" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>{</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d4/d2c/_json_data_contaminated_area_8c.html#a8b9bcd98804dc5decae2cd276a26ab57">   10</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d4/d2c/_json_data_contaminated_area_8c.html#a8b9bcd98804dc5decae2cd276a26ab57">AreaName</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d4/d2c/_json_data_contaminated_area_8c.html#a651a3c9de2e16ff0deca8d09dedbda58">   11</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d4/d2c/_json_data_contaminated_area_8c.html#a651a3c9de2e16ff0deca8d09dedbda58">Type</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d4/d2c/_json_data_contaminated_area_8c.html#afd84602e818c54359a624d670d32c5f5">   12</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d4/d2c/_json_data_contaminated_area_8c.html#afd84602e818c54359a624d670d32c5f5">TriggerType</a>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d4/d2c/_json_data_contaminated_area_8c.html#a2cfb9787941bf75eaaecaa2b07b56459">   13</a></span>    <a class="code hl_class" href="../../d8/dc8/class_json_data_area_data.html">JsonDataAreaData</a> <a class="code hl_variable" href="../../d4/d2c/_json_data_contaminated_area_8c.html#a2cfb9787941bf75eaaecaa2b07b56459">Data</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d4/d2c/_json_data_contaminated_area_8c.html#a82049e3b65af066fb88e8e326c3db03c">   14</a></span>    <a class="code hl_class" href="../../d4/d9b/class_json_data_player_data.html">JsonDataPlayerData</a> <a class="code hl_variable" href="../../d4/d2c/_json_data_contaminated_area_8c.html#a82049e3b65af066fb88e8e326c3db03c">PlayerData</a>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>};</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d8/dc8/class_json_data_area_data.html">   17</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/dc8/class_json_data_area_data.html">JsonDataAreaData</a> : <a class="code hl_class" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>{</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d8/dc8/class_json_data_area_data.html#ad08bf99d0a38ecd9a8fa3e45a3fd7d95">   19</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;float&gt;</a> <a class="code hl_variable" href="../../d8/dc8/class_json_data_area_data.html#ad08bf99d0a38ecd9a8fa3e45a3fd7d95">Pos</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d8/dc8/class_json_data_area_data.html#a018bb4969ed51041d6513c2aae27f1b9">   20</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d8/dc8/class_json_data_area_data.html#a018bb4969ed51041d6513c2aae27f1b9">Radius</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d8/dc8/class_json_data_area_data.html#a000123482897d05f070a2a9049476ee3">   21</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d8/dc8/class_json_data_area_data.html#a000123482897d05f070a2a9049476ee3">PosHeight</a>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d8/dc8/class_json_data_area_data.html#af7c3ece87551fc70141445f9cffd044c">   22</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d8/dc8/class_json_data_area_data.html#af7c3ece87551fc70141445f9cffd044c">NegHeight</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d8/dc8/class_json_data_area_data.html#a9f31eab8fc77472590b42be36f7c53bf">   23</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d8/dc8/class_json_data_area_data.html#a9f31eab8fc77472590b42be36f7c53bf">InnerRingCount</a>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d8/dc8/class_json_data_area_data.html#a20db7f7994b117827a5ff27c652f3d9a">   24</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d8/dc8/class_json_data_area_data.html#a20db7f7994b117827a5ff27c652f3d9a">InnerPartDist</a>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d8/dc8/class_json_data_area_data.html#afd0251ea94da20c2ea053299e99f87cf">   25</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d8/dc8/class_json_data_area_data.html#afd0251ea94da20c2ea053299e99f87cf">OuterRingToggle</a>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d8/dc8/class_json_data_area_data.html#aea2de1223df1be3a8c44b535063e60b7">   26</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d8/dc8/class_json_data_area_data.html#aea2de1223df1be3a8c44b535063e60b7">OuterPartDist</a>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d8/dc8/class_json_data_area_data.html#a360e259c85b923492bfd1e315af5501e">   27</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d8/dc8/class_json_data_area_data.html#a360e259c85b923492bfd1e315af5501e">OuterOffset</a>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d8/dc8/class_json_data_area_data.html#a3e70b415581aa2c5efb17a8c17c5d7bf">   28</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d8/dc8/class_json_data_area_data.html#a3e70b415581aa2c5efb17a8c17c5d7bf">VerticalLayers</a>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d8/dc8/class_json_data_area_data.html#a54be9d1a172115d8e208adda4ab46d57">   29</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d8/dc8/class_json_data_area_data.html#a54be9d1a172115d8e208adda4ab46d57">VerticalOffset</a>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d8/dc8/class_json_data_area_data.html#a513f71a5ff8012f33d1e2d539e0fbce3">   30</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d8/dc8/class_json_data_area_data.html#a513f71a5ff8012f33d1e2d539e0fbce3">ParticleName</a>; </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>};</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d4/d9b/class_json_data_player_data.html">   33</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d4/d9b/class_json_data_player_data.html">JsonDataPlayerData</a> : <a class="code hl_class" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>{</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d4/d9b/class_json_data_player_data.html#ab76058629efd9a4e6938aaa5fd36631b">   35</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d4/d9b/class_json_data_player_data.html#ab76058629efd9a4e6938aaa5fd36631b">AroundPartName</a>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d4/d9b/class_json_data_player_data.html#ab88f5695ca923eec93de98b64e59ff83">   36</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d4/d9b/class_json_data_player_data.html#ab88f5695ca923eec93de98b64e59ff83">TinyPartName</a>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d4/d9b/class_json_data_player_data.html#a69132435187384c115749da607679366">   37</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d4/d9b/class_json_data_player_data.html#a69132435187384c115749da607679366">PPERequesterType</a>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>}</div>
<div class="ttc" id="a_json_data_contaminated_area_8c_html_a2cfb9787941bf75eaaecaa2b07b56459"><div class="ttname"><a href="../../d4/d2c/_json_data_contaminated_area_8c.html#a2cfb9787941bf75eaaecaa2b07b56459">Data</a></div><div class="ttdeci">JsonDataAreaData Data</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00013">JsonDataContaminatedArea.c:13</a></div></div>
<div class="ttc" id="a_json_data_contaminated_area_8c_html_a651a3c9de2e16ff0deca8d09dedbda58"><div class="ttname"><a href="../../d4/d2c/_json_data_contaminated_area_8c.html#a651a3c9de2e16ff0deca8d09dedbda58">Type</a></div><div class="ttdeci">string Type</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00011">JsonDataContaminatedArea.c:11</a></div></div>
<div class="ttc" id="a_json_data_contaminated_area_8c_html_a82049e3b65af066fb88e8e326c3db03c"><div class="ttname"><a href="../../d4/d2c/_json_data_contaminated_area_8c.html#a82049e3b65af066fb88e8e326c3db03c">PlayerData</a></div><div class="ttdeci">JsonDataPlayerData PlayerData</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00014">JsonDataContaminatedArea.c:14</a></div></div>
<div class="ttc" id="a_json_data_contaminated_area_8c_html_a8b9bcd98804dc5decae2cd276a26ab57"><div class="ttname"><a href="../../d4/d2c/_json_data_contaminated_area_8c.html#a8b9bcd98804dc5decae2cd276a26ab57">AreaName</a></div><div class="ttdeci">JsonDataContaminatedAreas AreaName</div></div>
<div class="ttc" id="a_json_data_contaminated_area_8c_html_afd84602e818c54359a624d670d32c5f5"><div class="ttname"><a href="../../d4/d2c/_json_data_contaminated_area_8c.html#afd84602e818c54359a624d670d32c5f5">TriggerType</a></div><div class="ttdeci">string TriggerType</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00012">JsonDataContaminatedArea.c:12</a></div></div>
<div class="ttc" id="aclass_json_data_area_data_html"><div class="ttname"><a href="../../d8/dc8/class_json_data_area_data.html">JsonDataAreaData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00017">JsonDataContaminatedArea.c:18</a></div></div>
<div class="ttc" id="aclass_json_data_area_data_html_a000123482897d05f070a2a9049476ee3"><div class="ttname"><a href="../../d8/dc8/class_json_data_area_data.html#a000123482897d05f070a2a9049476ee3">JsonDataAreaData::PosHeight</a></div><div class="ttdeci">float PosHeight</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00021">JsonDataContaminatedArea.c:21</a></div></div>
<div class="ttc" id="aclass_json_data_area_data_html_a018bb4969ed51041d6513c2aae27f1b9"><div class="ttname"><a href="../../d8/dc8/class_json_data_area_data.html#a018bb4969ed51041d6513c2aae27f1b9">JsonDataAreaData::Radius</a></div><div class="ttdeci">float Radius</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00020">JsonDataContaminatedArea.c:20</a></div></div>
<div class="ttc" id="aclass_json_data_area_data_html_a20db7f7994b117827a5ff27c652f3d9a"><div class="ttname"><a href="../../d8/dc8/class_json_data_area_data.html#a20db7f7994b117827a5ff27c652f3d9a">JsonDataAreaData::InnerPartDist</a></div><div class="ttdeci">int InnerPartDist</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00024">JsonDataContaminatedArea.c:24</a></div></div>
<div class="ttc" id="aclass_json_data_area_data_html_a360e259c85b923492bfd1e315af5501e"><div class="ttname"><a href="../../d8/dc8/class_json_data_area_data.html#a360e259c85b923492bfd1e315af5501e">JsonDataAreaData::OuterOffset</a></div><div class="ttdeci">int OuterOffset</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00027">JsonDataContaminatedArea.c:27</a></div></div>
<div class="ttc" id="aclass_json_data_area_data_html_a3e70b415581aa2c5efb17a8c17c5d7bf"><div class="ttname"><a href="../../d8/dc8/class_json_data_area_data.html#a3e70b415581aa2c5efb17a8c17c5d7bf">JsonDataAreaData::VerticalLayers</a></div><div class="ttdeci">int VerticalLayers</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00028">JsonDataContaminatedArea.c:28</a></div></div>
<div class="ttc" id="aclass_json_data_area_data_html_a513f71a5ff8012f33d1e2d539e0fbce3"><div class="ttname"><a href="../../d8/dc8/class_json_data_area_data.html#a513f71a5ff8012f33d1e2d539e0fbce3">JsonDataAreaData::ParticleName</a></div><div class="ttdeci">string ParticleName</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00030">JsonDataContaminatedArea.c:30</a></div></div>
<div class="ttc" id="aclass_json_data_area_data_html_a54be9d1a172115d8e208adda4ab46d57"><div class="ttname"><a href="../../d8/dc8/class_json_data_area_data.html#a54be9d1a172115d8e208adda4ab46d57">JsonDataAreaData::VerticalOffset</a></div><div class="ttdeci">int VerticalOffset</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00029">JsonDataContaminatedArea.c:29</a></div></div>
<div class="ttc" id="aclass_json_data_area_data_html_a9f31eab8fc77472590b42be36f7c53bf"><div class="ttname"><a href="../../d8/dc8/class_json_data_area_data.html#a9f31eab8fc77472590b42be36f7c53bf">JsonDataAreaData::InnerRingCount</a></div><div class="ttdeci">int InnerRingCount</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00023">JsonDataContaminatedArea.c:23</a></div></div>
<div class="ttc" id="aclass_json_data_area_data_html_ad08bf99d0a38ecd9a8fa3e45a3fd7d95"><div class="ttname"><a href="../../d8/dc8/class_json_data_area_data.html#ad08bf99d0a38ecd9a8fa3e45a3fd7d95">JsonDataAreaData::Pos</a></div><div class="ttdeci">ref array&lt; float &gt; Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00019">JsonDataContaminatedArea.c:19</a></div></div>
<div class="ttc" id="aclass_json_data_area_data_html_aea2de1223df1be3a8c44b535063e60b7"><div class="ttname"><a href="../../d8/dc8/class_json_data_area_data.html#aea2de1223df1be3a8c44b535063e60b7">JsonDataAreaData::OuterPartDist</a></div><div class="ttdeci">int OuterPartDist</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00026">JsonDataContaminatedArea.c:26</a></div></div>
<div class="ttc" id="aclass_json_data_area_data_html_af7c3ece87551fc70141445f9cffd044c"><div class="ttname"><a href="../../d8/dc8/class_json_data_area_data.html#af7c3ece87551fc70141445f9cffd044c">JsonDataAreaData::NegHeight</a></div><div class="ttdeci">float NegHeight</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00022">JsonDataContaminatedArea.c:22</a></div></div>
<div class="ttc" id="aclass_json_data_area_data_html_afd0251ea94da20c2ea053299e99f87cf"><div class="ttname"><a href="../../d8/dc8/class_json_data_area_data.html#afd0251ea94da20c2ea053299e99f87cf">JsonDataAreaData::OuterRingToggle</a></div><div class="ttdeci">bool OuterRingToggle</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00025">JsonDataContaminatedArea.c:25</a></div></div>
<div class="ttc" id="aclass_json_data_contaminated_areas_html"><div class="ttname"><a href="../../d9/db4/class_json_data_contaminated_areas.html">JsonDataContaminatedAreas</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00002">JsonDataContaminatedArea.c:3</a></div></div>
<div class="ttc" id="aclass_json_data_contaminated_areas_html_a36cdb3e6bf4b71b04d2385b6df9dbacd"><div class="ttname"><a href="../../d9/db4/class_json_data_contaminated_areas.html#a36cdb3e6bf4b71b04d2385b6df9dbacd">JsonDataContaminatedAreas::Areas</a></div><div class="ttdeci">ref array&lt; ref JsonDataContaminatedArea &gt; Areas</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00004">JsonDataContaminatedArea.c:4</a></div></div>
<div class="ttc" id="aclass_json_data_contaminated_areas_html_ae8782bcb1f35e3e707492925dc4c10d4"><div class="ttname"><a href="../../d9/db4/class_json_data_contaminated_areas.html#ae8782bcb1f35e3e707492925dc4c10d4">JsonDataContaminatedAreas::SafePositions</a></div><div class="ttdeci">ref array&lt; ref array&lt; float &gt; &gt; SafePositions</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00005">JsonDataContaminatedArea.c:5</a></div></div>
<div class="ttc" id="aclass_json_data_player_data_html"><div class="ttname"><a href="../../d4/d9b/class_json_data_player_data.html">JsonDataPlayerData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00033">JsonDataContaminatedArea.c:34</a></div></div>
<div class="ttc" id="aclass_json_data_player_data_html_a69132435187384c115749da607679366"><div class="ttname"><a href="../../d4/d9b/class_json_data_player_data.html#a69132435187384c115749da607679366">JsonDataPlayerData::PPERequesterType</a></div><div class="ttdeci">string PPERequesterType</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00037">JsonDataContaminatedArea.c:37</a></div></div>
<div class="ttc" id="aclass_json_data_player_data_html_ab76058629efd9a4e6938aaa5fd36631b"><div class="ttname"><a href="../../d4/d9b/class_json_data_player_data.html#ab76058629efd9a4e6938aaa5fd36631b">JsonDataPlayerData::AroundPartName</a></div><div class="ttdeci">string AroundPartName</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00035">JsonDataContaminatedArea.c:35</a></div></div>
<div class="ttc" id="aclass_json_data_player_data_html_ab88f5695ca923eec93de98b64e59ff83"><div class="ttname"><a href="../../d4/d9b/class_json_data_player_data.html#ab88f5695ca923eec93de98b64e59ff83">JsonDataPlayerData::TinyPartName</a></div><div class="ttdeci">string TinyPartName</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00036">JsonDataContaminatedArea.c:36</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agroup___enforce_html_dd/d17/class_managed"><div class="ttname"><a href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a></div><div class="ttdoc">TODO doc.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00117">EnScript.c:118</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_69e812fcb6ec76f3564f9e4767f2d360.html">ContaminatedArea</a></li><li class="navelem"><a class="el" href="../../d4/d2c/_json_data_contaminated_area_8c.html">JsonDataContaminatedArea.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
